## postgresql-13 13.15

=== debian/changelog ===
postgresql-13 (13.15-0+deb11u1) bullseye; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 07 May 2024 12:11:56 +0200

postgresql-13 (13.14-0+deb11u1) bullseye-security; urgency=medium

  * New upstream version.

    * Tighten security restrictions within REFRESH MATERIALIZED VIEW
      CONCURRENTLY (Heikki Linnakangas)

      One step of a concurrent refresh command was run under weak security
      restrictions.  If a materialized view's owner could persuade a superuser
      or other high-privileged user to perform a concurrent refresh on that
      view, the view's owner could control code executed with the privileges
      of the user running REFRESH. Fix things so that all user-determined code
      is run as the view's owner, as expected.

      The PostgreSQL Project thanks Pedro Gallegos for reporting this problem.
      (CVE-2024-0985)

 -- Christoph Berg <myon@debian.org>  Tue, 06 Feb 2024 13:54:51 +0100
