=== src/backend/storage/Makefile ===
#
# Makefile for the storage manager subsystem
#
# src/backend/storage/Makefile
#

subdir = src/backend/storage
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

SUBDIRS     = buffer file freespace ipc large_object lmgr page smgr sync

include $(top_srcdir)/src/backend/common.mk
